com.salesforce.hyperdb.grpc

## Interface ExecuteQueryResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  ExecuteQueryResponse, ExecuteQueryResponse.Builder

    public interface ExecuteQueryResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryResultPartBinary` `getBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`
`QueryResultPartBinaryOrBuilder` `getBinaryPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`
`QueryResultHeader` `getHeader()` `.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`
`QueryResultHeaderOrBuilder` `getHeaderOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`
`boolean` `getOptional()` `bool optional = 9;`
`QueryInfo` `getQueryInfo()` `.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`
`QueryInfoOrBuilder` `getQueryInfoOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`
`QueryResult` `getQueryResult()` `.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`
`QueryResultOrBuilder` `getQueryResultOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`
`ExecuteQueryResponse.ResultCase` `getResultCase()`
`QueryResultPartString` `getStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`
`QueryResultPartStringOrBuilder` `getStringPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`
`boolean` `hasBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`
`boolean` `hasHeader()` `.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`
`boolean` `hasQueryInfo()` `.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`
`boolean` `hasQueryResult()` `.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`
`boolean` `hasStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    QueryResultHeader getHeader()

`.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    QueryResultHeaderOrBuilder getHeaderOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`

#### hasBinaryPart

    boolean hasBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`

Returns:
  Whether the binaryPart field is set.

#### getBinaryPart

    QueryResultPartBinary getBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`

Returns:
  The binaryPart.

#### getBinaryPartOrBuilder

    QueryResultPartBinaryOrBuilder getBinaryPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`

#### hasStringPart

    boolean hasStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

Returns:
  Whether the stringPart field is set.

#### getStringPart

    QueryResultPartString getStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

Returns:
  The stringPart.

#### getStringPartOrBuilder

    QueryResultPartStringOrBuilder getStringPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

#### hasQueryInfo

    boolean hasQueryInfo()

`.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`

Returns:
  Whether the queryInfo field is set.

#### getQueryInfo

    QueryInfo getQueryInfo()

`.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`

Returns:
  The queryInfo.

#### getQueryInfoOrBuilder

    QueryInfoOrBuilder getQueryInfoOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`

#### hasQueryResult

    boolean hasQueryResult()

`.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`

Returns:
  Whether the queryResult field is set.

#### getQueryResult

    QueryResult getQueryResult()

`.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`

Returns:
  The queryResult.

#### getQueryResultOrBuilder

    QueryResultOrBuilder getQueryResultOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`

#### getOptional

    boolean getOptional()

`bool optional = 9;`

Returns:
  The optional.

#### getResultCase

    ExecuteQueryResponse.ResultCase getResultCase()